Bug 26509 - Update request: nvidia340-340.108-6.mga7.nonfree
Summary: Update request: nvidia340-340.108-6.mga7.nonfree
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK MGA7-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 26525 26526
  Show dependency treegraph
 
Reported: 2020-04-20 20:46 CEST by Thomas Backlund
Modified: 2020-04-24 19:05 CEST (History)
3 users (show)

See Also:
Source RPM: nvidia340
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-04-20 20:46:03 CEST
Adds kernel 5.6 support


SRPM:
nvidia340-340.108-6.mga7.nonfree.src.rpm

i586:
dkms-nvidia340-340.108-6.mga7.nonfree.i586.rpm
nvidia340-cuda-opencl-340.108-6.mga7.nonfree.i586.rpm
nvidia340-devel-340.108-6.mga7.nonfree.i586.rpm
nvidia340-doc-html-340.108-6.mga7.nonfree.i586.rpm
x11-driver-video-nvidia340-340.108-6.mga7.nonfree.i586.rpm

x86_64:
dkms-nvidia340-340.108-6.mga7.nonfree.x86_64.rpm
nvidia340-cuda-opencl-340.108-6.mga7.nonfree.x86_64.rpm
nvidia340-devel-340.108-6.mga7.nonfree.x86_64.rpm
nvidia340-doc-html-340.108-6.mga7.nonfree.x86_64.rpm
x11-driver-video-nvidia340-340.108-6.mga7.nonfree.x86_64.rpm
Comment 1 Thomas Backlund 2020-04-20 20:50:59 CEST
For testers, just check that everything still works with kernel 5.5 series
Comment 2 PC LX 2020-04-22 01:01:32 CEST
Installed and tested without issues.


Tested:
- Plasma DE;
- LXQt DE;
- Normal desktop usage;
- glmark2;
- glxinfo;
- glxspheres;
- Firefox plus WebGL;
- Steam plus Steam games;
- Steam on Wine plus Windows Steam games;
- Non steam games;
- Marble;



System: Mageia 7, x86_64, Plasma DE, LXQt DE, Intel CPU, Geforce 210 nVidia GPU using nvidia340 proprietary driver.



$ uname -a
Linux marte 5.5.15-desktop-3.mga7 #1 SMP Sat Apr 4 19:06:09 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
$ cat /proc/driver/nvidia/version 
NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.108  Wed Dec 11 11:06:58 PST 2019
GCC version:  gcc version 8.4.0 (Mageia 8.4.0-1.mga7) 
$ rpm -qa | grep -i nvidia
x11-driver-video-nvidia340-340.108-6.mga7.nonfree
dkms-nvidia340-340.108-6.mga7.nonfree
nvidia340-doc-html-340.108-6.mga7.nonfree
$ dkms status | grep -i nvidia
nvidia340, 340.108-6.mga7.nonfree, 5.5.15-desktop-3.mga7, x86_64: installed 
$ lspcidrake | grep VGA
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (rev: a2)

CC: (none) => mageia

Comment 3 ben mcmonagle 2020-04-22 03:16:28 CEST
# urpmi dkms-nvidia340 x11-driver-video-nvidia340 nvidia340-devel nvidia340-doc-html nvidia340-cuda-opencl

installing dkms-nvidia340-340.108-6.mga7.nonfree.x86_64.rpm nvidia340-cuda-opencl-340.108-6.mga7.nonfree.x86_64.rpm nvidia340-devel-340.108-6.mga7.nonfree.x86_64.rpm nvidia340-doc-html-340.108-6.mga7.nonfree.x86_64.rpm x11-driver-video-nvidia340-340.108-6.mga7.nonfree.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     
      1/5: dkms-nvidia340        

Creating symlink /var/lib/dkms/nvidia340/340.108-6.mga7.nonfree/source ->
                 /usr/src/nvidia340-340.108-6.mga7.nonfree

DKMS: add Completed.

Preparing kernel 5.5.15-desktop-3.mga7 for module build:
(This is not compiling a kernel, just preparing kernel symbols)
Storing current .config to be restored when complete
Running Generic preparation routine
make mrproper....(bad exit status: 2)
using /proc/config.gz
make oldconfig....(bad exit status: 2)
make prepare....(bad exit status: 2)

Building module:
cleaning build area....(bad exit status: 2)
'make' -j2 SYSSRC=/lib/modules/5.5.15-desktop-3.mga7/build module...................
cleaning build area....(bad exit status: 2)
cleaning kernel tree (make mrproper)....(bad exit status: 2)

DKMS: build Completed.

nvidia340.ko.xz:
 - Installation
   - Installing to /lib/modules/5.5.15-desktop-3.mga7/dkms/drivers/char/drm/

depmod.......

DKMS: install Completed.
dracut: Executing: /usr/bin/dracut -f
dracut: dracut module 'bootchart' will not be installed, because command '/sbin/bootchartd' could not be found!
dracut: dracut module 'systemd' will not be installed, because it's in the list to be omitted!
dracut: dracut module 'systemd-bootchart' will not be installed, because command '/usr/lib/systemd/systemd-bootchart' could not be found!
dracut: systemd-initrd needs systemd in the initramfs
dracut: dracut module 'caps' will not be installed, because command 'capsh' could not be found!
dracut: systemd-networkd needs systemd in the initramfs
dracut: dracut module 'modsign' will not be installed, because command 'keyctl' could not be found!
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'network' will not be installed, because it's in the list to be omitted!
dracut: dracut module 'network' will not be installed, because it's in the list to be omitted!
dracut: dracut module 'ifcfg' depends on 'network', which can't be installed
dracut: dracut module 'cifs' will not be installed, because command 'mount.cifs' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsistart' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsi-iname' could not be found!
dracut: 95nfs: Could not find any command of 'rpcbind portmap'!
dracut: dracut module 'biosdevname' will not be installed, because command 'biosdevname' could not be found!
dracut: dracut module 'masterkey' will not be installed, because command 'keyctl' could not be found!
dracut: dracut-systemd needs systemd-initrd in the initramfs
dracut: dracut module 'caps' will not be installed, because command 'capsh' could not be found!
dracut: dracut module 'modsign' will not be installed, because command 'keyctl' could not be found!
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'ifcfg' depends on 'network', which can't be installed
dracut: dracut module 'cifs' will not be installed, because command 'mount.cifs' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsistart' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsi-iname' could not be found!
dracut: 95nfs: Could not find any command of 'rpcbind portmap'!
dracut: dracut module 'masterkey' will not be installed, because command 'keyctl' could not be found!
dracut: *** Including module: bash ***
dracut: *** Including module: dash ***
dracut: *** Including module: i18n ***
dracut: *** Including module: drm ***
dracut: *** Including module: plymouth ***
dracut: *** Including module: kernel-modules ***
dracut: *** Including module: resume ***
dracut: *** Including module: rootfs-block ***
dracut: *** Including module: terminfo ***
dracut: *** Including module: udev-rules ***
dracut: Skipping udev rule: 40-redhat.rules
dracut: Skipping udev rule: 50-firmware.rules
dracut: Skipping udev rule: 50-udev.rules
dracut: Skipping udev rule: 91-permissions.rules
dracut: Skipping udev rule: 80-drivers-modprobe.rules
dracut: *** Including module: usrmount ***
dracut: *** Including module: base ***
dracut: *** Including module: fs-lib ***
dracut: *** Including module: shutdown ***
dracut: *** Including modules done ***
dracut: *** Installing kernel module dependencies ***
dracut: *** Installing kernel module dependencies done ***
dracut: *** Resolving executable dependencies ***
dracut: *** Resolving executable dependencies done***
dracut: *** Stripping files ***
dracut: *** Stripping files done ***
dracut: *** Generating early-microcode cpio image ***
dracut: *** Constructing GenuineIntel.bin ****
dracut: *** Store current command line parameters ***
dracut: Stored kernel commandline:
dracut:  resume=UUID=88f91e71-f1af-4037-94eb-cbdf1825a039 resume=UUID=88f91e71-f1af-4037-94eb-cbdf1825a039
dracut:  root=UUID=c989fd84-54d2-4415-a246-7ebc23c9530a rootfstype=ext4 rootflags=rw,noatime
dracut: *** Creating image file '/boot/initrd-5.5.15-desktop-3.mga7.img' ***
dracut: *** Creating initramfs image file '/boot/initrd-5.5.15-desktop-3.mga7.img' done ***
      2/5: nvidia340-doc-html    #############################################
      3/5: x11-driver-video-nvidia340
                                 #############################################
      4/5: nvidia340-cuda-opencl #############################################
      5/5: nvidia340-devel       #############################################
      1/5: removing nvidia340-devel-340.108-2.mga7.nonfree.x86_64
                                 #############################################
      2/5: removing nvidia340-cuda-opencl-340.108-2.mga7.nonfree.x86_64
                                 #############################################
      3/5: removing nvidia340-doc-html-340.108-2.mga7.nonfree.x86_64
                                 #############################################
      4/5: removing x11-driver-video-nvidia340-340.108-2.mga7.nonfree.x86_64
                                 #############################################

-------- Uninstall Beginning --------
Module:  nvidia340
Version: 340.108-2.mga7.nonfree
Kernel:  5.4.17-desktop-1.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia340.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod......

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  nvidia340
Version: 340.108-2.mga7.nonfree
Kernel:  5.5.15-desktop-3.mga7 (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
depmod......

DKMS: uninstall Completed.

------------------------------
Deleting module version: 340.108-2.mga7.nonfree
completely from the DKMS tree.
------------------------------
Done.
      5/5: removing dkms-nvidia340-340.108-2.mga7.nonfree.x86_64

reboot to working desktop

uname -r
5.5.15-desktop-3.mga7

CC: (none) => westel

Comment 4 ben mcmonagle 2020-04-22 03:57:17 CEST
same hardware but i586 system, reboot to working desktop - ok

lspcidrake
....
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|G84GLM [Quadro FX 570M] [DISPLAY_VGA] (rev: a1)
Thomas Backlund 2020-04-22 11:18:58 CEST

Blocks: (none) => 26525

Thomas Backlund 2020-04-22 11:19:13 CEST

Blocks: (none) => 26526

Comment 5 ben mcmonagle 2020-04-24 05:27:41 CEST

Compaq 8510W Mobile Workstation
XFCE DE

Model name:          Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz

Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|G84GLM [Quadro FX 570M] [DISPLAY_VGA] (rev: a1)

uname -r
5.5.15-desktop-3.mga7

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.6.6        1.mga7        x86_64  
  kernel-desktop-5.6.6-1.mga7    1            1.mga7        x86_64  
  kernel-desktop-devel-5.6.6-1.> 1            1.mga7        x86_64  
  kernel-desktop-devel-latest    5.6.6        1.mga7        x86_64  
  kernel-desktop-latest          5.6.6        1.mga7        x86_64  
  kernel-userspace-headers       5.6.6        1.mga7        x86_64  
(medium "Nonfree Updates Testing (distrib15)")
  kernel-firmware-nonfree        20200316     1.mga7.nonfr> noarch  
  radeon-firmware                20200416     1.mga7.nonfr> noarch  
117MB of additional disk space will be used.
153MB of packages will be retrieved.
Proceed with the installation of the 8 packages? (Y/n) y

nvidia340 (340.108-6.mga7.nonfree): Installing module.
.............................
........
Creating: target|kernel|dracut args|basicmodules 
remove-boot-splash: Format of /boot/initrd-5.6.6-desktop-1.mga7.img not recognized
You should restart your computer for kernel-desktop-5.6.6-1.mga7

reboot

reboot to working desktop -ok

uname -r
5.6.6-desktop-1.mga7

lxterminal - ok
mousepad - ok
firefox -ok
Usb stick detected and mounted
Xine plays .ave from usb sound/video ok

lspcidrake reports nvidia in use
Comment 6 ben mcmonagle 2020-04-24 05:53:46 CEST
HP Compaq 8510w mobile workstation

VGA compatible controller: NVIDIA Corporation G84GLM [Quadro FX 570M] (rev a1)

LXDE desktop, i586 system

uname -r
5.4.17-desktop-1.mga7

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.6.6        1.mga7        i586    
  kernel-desktop-devel-5.6.6-1.> 1            1.mga7        i586    
  kernel-desktop-devel-latest    5.6.6        1.mga7        i586    
  kernel-userspace-headers       5.6.6        1.mga7        i586    
44MB of additional disk space will be used.
12MB of packages will be retrieved.
Proceed with the installation of the 4 packages? (Y/n) y

oops

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  kernel-desktop-5.6.6-1.mga7    1            1.mga7        i586    
  kernel-desktop-latest          5.6.6        1.mga7        i586    
62MB of additional disk space will be used.
55MB of packages will be retrieved.
Proceed with the installation of the 2 packages? (Y/n) y

Preparing...                     #############################################
      1/2: kernel-desktop-latest #############################################
      2/2: kernel-desktop-5.6.6-1.mga7
                                 #############################################

nvidia340 (340.108-6.mga7.nonfree): Installing module.
...........................
........
Creating: target|kernel|dracut args|basicmodules 
remove-boot-splash: Format of /boot/initrd-5.6.6-desktop-1.mga7.img not recognized
You should restart your computer for kernel-desktop-5.6.6-1.mga7

reboot

boots to working desktop.

uname -r
5.6.6-desktop-1.mga7


wifi - ok
firefox -ok
Xine playback of .avi sound/video -ok

nvidia driver in use
Thomas Backlund 2020-04-24 17:08:28 CEST

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA7-64-OK MGA7-32-OK

Comment 7 Mageia Robot 2020-04-24 19:05:19 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2020-0108.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.